## retail-1.0.2.tar.gz

=== Makefile ===
-e default:
	./configure ; make

=== debian/changelog ===
retail (1.0.2-1) unstable; urgency=low
  * Really no need for a debian release of this, as all changes were to the
    docs, none to the code.

 -- A.L.Lambert <linuxjack@gmail.com>  Mon, 04 Nov 2019 21:34:00 -0700

retail (1.0.1-1) unstable; urgency=low

  * Really no need for a debian release of this, as all changes were to the
    build and configuration process, not the source code itself.  However, no
    sense in having a 1.0.1 for everyone else and a 1.0.0 for debian, eh?

 -- A.L.Lambert <al@xjack.org>  Mon, 17 Mar 2003 21:34:00 -0700

retail (1.0.0-1) unstable; urgency=low

  * Initial public release.

 -- A.L.Lambert <al@xjack.org>  Mon, 17 Mar 2003 21:34:00 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: retail
Section: utils
Priority: optional
Maintainer: A.L.Lambert <al@xjack.org>
Standards-Version: 3.2.1

Package: retail
Architecture: any
Depends: ${shlibs:Depends}
Suggests: logtool
Description: An incremental logfile reading utility.
 A tool to read logfiles by increments as new data is appended.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=retail

build:
	$(checkdir)
	./configure --prefix=/usr
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp/
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README COPYING CREDITS INSTALL TODO ChangeLog
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
